
Redmine - Feature #19828

Rest API for projects - filter on project status.

2015-05-13 17:10 - Ryan Eberly

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Our company uses redmine to track projects for a period of time, and then close them.  We have a few hundred projects in redmine -

most of them closed.

Rest_Projects

It would be good to be able to return only open projects via the rest API.

For example:

/projects.xml?status=1

or

/projects.json?status=1

Related issues:

Is duplicate of Redmine - Feature #12921: REST-API: filter projects by status New

History

#1 - 2015-06-12 12:44 - Toshi MARUYAMA

- Description updated

#2 - 2016-03-23 02:54 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #12921.

#3 - 2016-03-23 02:54 - Go MAEDA

- Is duplicate of Feature #12921: REST-API: filter projects by status added

#4 - 2019-07-03 07:33 - naoki takaesu

- File rest-api-filter-on-project-status.diff added

I wrote a patch.

#5 - 2019-07-05 18:59 - Seiei Miyagi

naoki takaesu wrote:

I wrote a patch.

all? returns true for [], so you need to put assert json['projects'].any? before assert json['projects'].all? {|p| p['status'] == 1} to confirm filtering projects.

#6 - 2019-07-06 04:25 - naoki takaesu

- File 19828-reset-api-filter-on-project-status-v2.diff added

Seiei Miyagi wrote:

all? returns true for [], so you need to put assert json['projects'].any? before assert json['projects'].all? {|p| p['status'] == 1} to confirm filtering
projects.  

Hi Seiei,

Thank you for the review.

I am glad to know it.

I will attach the second patch.

Files

rest-api-filter-on-project-status.diff 1.81 KB 2019-07-03 naoki takaesu

19828-reset-api-filter-on-project-status-v2.diff 1.85 KB 2019-07-06 naoki takaesu
